Package com.macrofocus.helper

# Class SwingHelper

java.lang.Object
com.macrofocus.helper.SwingHelper

public class SwingHelper extends Object
Helper class for dealing with Swing.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingHelper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `center(Container parent, Component component)`
  `static void`
  `centerBottom(Container parent, Component component)`
  `static Point`
  `convertScreenLocationToParent(Container parent, int x, int y)`
  Converts the location `x` `y` to the parents coordinate system, returning the location.
  `static Rectangle`
  `getBoundsOnScreen(Component c)`
  `static int`
  `getMultipleSelectionKey()`
  `static JLayeredPane`
  `getTopLayeredPane(Component c)`
  `static boolean`
  `isDescendingFrom(Component focusOwner, Component parent)`
  `static boolean`
  `isMultipleSelectionKey(InputEvent event)`
  `static void`
  `setFocusable(Container parent, boolean focusable)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingHelper

    public SwingHelper()

- ## Method Details

  - ### isMultipleSelectionKey

    public static boolean isMultipleSelectionKey(InputEvent event)

  - ### getMultipleSelectionKey

    public static int getMultipleSelectionKey()

  - ### getTopLayeredPane

    public static JLayeredPane getTopLayeredPane(Component c)

  - ### convertScreenLocationToParent

    public static Point convertScreenLocationToParent(Container parent, int x, int y)
    Converts the location `x` `y` to the parents coordinate system, returning the location.

  - ### getBoundsOnScreen

    public static Rectangle getBoundsOnScreen(Component c)

  - ### setFocusable

    public static void setFocusable(Container parent, boolean focusable)

  - ### center

    public static void center(Container parent, Component component)

  - ### centerBottom

    public static void centerBottom(Container parent, Component component)

  - ### isDescendingFrom

    public static boolean isDescendingFrom(Component focusOwner, Component parent)